bootstrap.sh in flombe-0.1.0.4 vs bootstrap.sh in flombe-0.1.0.5
- old
+ new
@@ -3,9 +3,15 @@
mkdir -p ~/.flombe
echo "Run started on `date`" >> ~/.flombe/bootstrap.log 2>&1
which ruby >> ~/.flombe/bootstrap.log 2>&1
which gem >> ~/.flombe/bootstrap.log 2>&1
+/usr/bin/xcode-select -print-path >> /dev/null 2>&1
+if [ $? -ne 0 ]; then
+ echo "Sorry, you need to install xcode before continuing."
+ exit
+fi
+
which gem | grep -q rvm
if [ $? -eq 0 ]; then
gem uninstall flombe -aIx >> ~/.flombe/bootstrap.log 2>&1
gem install flombe --no-rdoc --no-ri >> ~/.flombe/bootstrap.log 2>&1
else
\ No newline at end of file